Package picard.annotation

## Class Gene

- java.lang.Object
- - htsjdk.samtools.util.Interval
  - - picard.annotation.Gene

- All Implemented Interfaces:
    `htsjdk.samtools.util.Locatable`, `htsjdk.tribble.Feature`, `Cloneable`, `Comparable<htsjdk.samtools.util.Interval>`, `Iterable<Gene.Transcript>`

      public class Gene
      extends htsjdk.samtools.util.Interval
      implements Iterable<Gene.Transcript>

  Holds annotation of a gene for storage in an OverlapDetector. May hold multiple transcripts for the same gene. The transcripts must all be relative to the same strand.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `Gene.Transcript` | A single transcript of a gene.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Gene​(String sequence, int start, int end, boolean negative, String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Gene.Transcript` | `addTranscript​(String name, int transcriptionStart, int transcriptionEnd, int codingStart, int codingEnd, int numExons)` |
    `int` | `compareTo​(Gene that)` |
    `boolean` | `equals​(Object other)` |
    `Iterator<Gene.Transcript>` | `iterator()` |

    - ### Methods inherited from class htsjdk.samtools.util.Interval

      `abuts, clone, compareTo, countBases, equalsWithStrandAndName, getContig, getEnd, getIntersectionLength, getName, getSequence, getStart, getStrand, hashCode, intersect, intersects, isNegativeStrand, isPositiveStrand, length, pad, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface htsjdk.tribble.Feature

      `getChr`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface htsjdk.samtools.util.Locatable

      `contains, contigsMatch, getLengthOnReference, overlaps, withinDistanceOf`

- - ### Constructor Detail

    - #### Gene

          public Gene​(String sequence,
                      int start,
                      int end,
                      boolean negative,
                      String name)

  - ### Method Detail

    - #### addTranscript

          public Gene.Transcript addTranscript​(String name,
                                               int transcriptionStart,
                                               int transcriptionEnd,
                                               int codingStart,
                                               int codingEnd,
                                               int numExons)

    - #### iterator

          public Iterator<Gene.Transcript> iterator()

      Specified by:
        `iterator` in interface `Iterable<Gene.Transcript>`

    - #### compareTo

          public int compareTo​(Gene that)

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `htsjdk.samtools.util.Interval`